function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 16);

T(1) = exp(y(1))-exp(y(1))*params(25);
T(2) = exp(y(43))*exp(y(8));
T(3) = exp(y(10))*exp(y(8))*exp(y(43))*(exp(y(6))-y(38))+exp(y(11))*exp(y(9))*exp(y(43))*(exp(y(7))-y(38));
T(4) = exp(y(3))*exp(y(16))/exp(y(20));
T(5) = exp(y(16))*exp(y(3))*(1+exp(y(14)))/exp(y(20));
T(6) = y(38)*T(5);
T(7) = y(45)/(y(45)-1)*exp(y(22))/exp(y(23));
T(8) = exp(y(20))/exp(y(20)*params(31));
T(9) = T(8)^y(45);
T(10) = T(8)^(y(45)-1);
T(11) = exp(y(23))*exp(y(3))*params(30)*T(10);
T(12) = exp(y(3))*(exp(y(26))*exp(y(25))*params(5)/exp(y(28))+(1-params(6))*exp(y(32)));
T(13) = exp(y(26))*exp(y(25))*(1-params(5))/exp(y(2));
T(14) = exp(y(3))/exp(y(20));
T(15) = T(14)*(1+params(4)*exp(y(43))*exp(y(8))*(1+y(33)));
T(16) = exp(y(43))*exp(y(9))*params(10)*(1-params(4)/exp(y(20)));

end
